### Enumeration

# WebKit2 PluginError

#### Declaration

    error-domain WebKit2.PluginError

#### Description [src]

Enum values used to denote the various plugin and media errors.

#### Members

`WEBKIT_PLUGIN_ERROR_FAILED`

  Generic plugin load failure. Deprecated 2.32.

  - Value: `299`
  - Available since: 4.1
`WEBKIT_PLUGIN_ERROR_CANNOT_FIND_PLUGIN`

  Load failure due to missing plugin. Deprecated 2.32.

  - Value: `200`
  - Available since: 4.1
`WEBKIT_PLUGIN_ERROR_CANNOT_LOAD_PLUGIN`

  Load failure due to inability to load plugin. Deprecated 2.32.

  - Value: `201`
  - Available since: 4.1
`WEBKIT_PLUGIN_ERROR_JAVA_UNAVAILABLE`

  Load failure due to missing Java support that is required to load plugin. Deprecated 2.32.

  - Value: `202`
  - Available since: 4.1
`WEBKIT_PLUGIN_ERROR_CONNECTION_CANCELLED`

  Load failure due to connection cancellation. Deprecated 2.32.

  - Value: `203`
  - Available since: 4.1
`WEBKIT_PLUGIN_ERROR_WILL_HANDLE_LOAD`

  Preliminary load failure for media content types. A new load will be started to perform the media load.

  - Value: `204`
  - Available since: 4.1

#### Type functions

###### webkit_plugin_error_quark

Gets the quark for the domain of plug-in errors.